<cfcomponent extends="Authenticator" 
   displayname="SimpleDatabaseAuthentication" hint="uses database">
   
   <cffunction name="authenticate" returntype="boolean" output="false">
      <cfargument name="username" type="string" required="true">
      <cfargument name="password" type="string" required="true">
         <!--- is it a valid user? --->
         <cfquery datasource="#request.dsn#" name="userInfo">
            SELECT UserID, FirstName, LastName,  City, State,
            Country, Email, Phone
            FROM users
            WHERE UserName = '#arguments.username#'
            AND PassWord = '#arguments.password#'
         </cfquery>
         <cfif userInfo.recordcount>
            <!--- get roles for user --->
            <cfquery datasource="#request.dsn#" name="userroles">
               SELECT r.name 
               FROM roles AS r, user_roles AS ur
               WHERE ur.UserID = #userInfo.UserID#
               AND  ur.RoleID = r.RoleID
            </cfquery>
            <!--- convert query column to list --->
            <cfset roles = ValueList(userroles.name)>
            
            <!--- populate the user cfc object --->
            
            <cfset user.displayName    = userInfo.FirstName>
            <cfset user.firstName       = userInfo.FirstName>
            <cfset user.lastName      = userInfo.LastName>
            <cfset user.city      = userInfo.City>
            <cfset user.state      = userInfo.State>
            <cfset user.country      = userInfo.Country>
            <cfset user.email      = userInfo.Email>
            <cfset user.phone      = userInfo.Phone>
            <cfset user.roles       = roles>
            <cfset user.userID      = userInfo.UserID>
            
            <cfreturn true>
         <!--- bad username or password --->
         <cfelse>
            <!--- try login again --->
            <cfreturn false>
         </cfif>
   </cffunction>

</cfcomponent>

