<!--- if user is not logged in --->
<!--- if username and password present --->
<cfif IsDefined("cflogin.name") AND IsDefined("cflogin.password")>
   <cfset loggedIn = false>
   <!--- loop through the list of authorization 
      types (e.g. ldap, database, etc) --->
   <cfloop list="#authType#" index="theAuthType">
      <cfset authenticator = 
         CreateObject("component", "#theAuthType#Authenticator")>
      <cfset loggedIn = 
         authenticator.authenticate(cflogin.name, cflogin.password)>
      <cfif loggedIn is true>
         <cfset session.user = authenticator.getUser()>
         <cfloginuser name="#cflogin.name#" 
            password="#cflogin.password#" roles="#session.user.roles#">
         <cfbreak>
      </cfif>
   </cfloop>
   <cfif not loggedIn>
      <cfset loginMessage = "Incorrect Login. Please try again">
      <cfinclude template="loginForm.cfm">
      <cfabort>
   </cfif>
<!--- display login form --->
<cfelse>
   <cfinclude template="loginForm.cfm">
   <cfabort>
</cfif>
