<cffunction name="Power" returntype="numeric">
   <cfargument name="base" type="numeric" required="true">
   <cfargument name="exponent" type="numeric" required="true">
   <cfif arguments.exponent LT 0>
      <cfthrow type="NegativeExponentException" 
         message="You cannot pass a negative exponent to the power function.">
   <cfelseif arguments.exponent EQ 0>
      <!--- base case --->
      <cfreturn 1>
   <cfelse>
      <!--- recursive step --->
      <cfreturn arguments.base * Power(arguments.base, arguments.exponent-1)>
   </cfif>
</cffunction>

2<sup>3</sup> = <cfoutput>#Power(2,3)#</cfoutput>
