
import com.allaire.cfx.*;

public class CFX_GetMemoryStatus
    implements CustomTag
{
    public void processRequest(Request request, Response response) 
        throws Exception 
    {
        Runtime thisJVM = Runtime.getRuntime();
        
        long freeMem = thisJVM.freeMemory();
        String strFreeMem = String.valueOf(freeMem); //convert to a string
        
        long totalMem = thisJVM.totalMemory();
        String strTotalMem = String.valueOf(totalMem); //convert to a string
        
        if (!request.attributeExists("VARIABLE")) {
            throw new Exception("Required attribute VARIABLE missing");
        }
        String structName = request.getAttribute("VARIABLE");
        
        response.setVariable(structName + ".freeMemory", strFreeMem);
        response.setVariable(structName + ".totalMemory", strTotalMem);
    }    
    
}