<cfsetting showdebugoutput="false" enablecfoutputonly="true">  
<!--- ski conditions for ColdFusion Mt. Ski area --->
<cfset skiConditions = StructNew()>
<cfset skiConditions.currentTemperature = 24>
<cfset skiConditions.weatherForceast = "Snow, and lots of it.">
<cfset skiConditions.newSnow = 8>
<cfset skiConditions.averageSnowBase = 75>

<!--- trails is a query of ski trails, noramlly would come from a db --->
<cfset skiConditions.trails = QueryNew("name, isOpen, skillLevel")>
<cfset row = QueryAddRow(skiConditions.trails)>
<cfset QuerySetCell(skiConditions.trails, "name", "Jeremy's Run", row)>
<cfset QuerySetCell(skiConditions.trails, "isOpen", "Yes", row)>
<cfset QuerySetCell(skiConditions.trails, "skillLevel", "Expert", row)>
<cfset row = QueryAddRow(skiConditions.trails)>
<cfset QuerySetCell(skiConditions.trails, "name", "Avalanche Cliff", row)>
<cfset QuerySetCell(skiConditions.trails, "isOpen", "Yes", row)>
<cfset QuerySetCell(skiConditions.trails, "skillLevel", "Expert", row)>

<cfheader name="Content-Type" value="text/xml">

<cfwddx action="CFML2WDDX" input="#skiConditions#" output="wddx">
<cfoutput>
<?xml version="1.0"?>
#wddx#
</cfoutput>