<!--- make sure session variables dont expire --->
<cfif NOT IsDefined("session.user")>
   <cflogout>
   <cflocation url="loginForm.cfm">
</cfif>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
   <title>ACME Intranet</title>
   <style>
      BODY { font-family:verdana,tahoma,sans-serif;font-size:10pt;}
      TD { font-family:verdana,tahoma,sans-serif;font-size:10pt; }
      .title { color:006699;font-weight:bold;font-size:16pt;}
      .header { color:gray;font-weight:bold;font-size:11pt; }
      .bottomLine { border-bottom : 1px solid gray; }
      A { color:006699;}
   </style>
</head>

<body>
<div class="title">&nbsp;ACME Intranet</div>
<table border="1" bordercolor="white" 
   cellpadding="1" cellspacing="0" width="100%">
   <tr height="40">
      <td bgcolor="C2CAC0" width="4%">&nbsp;</td>
      <td bgcolor="96B3B5" width="16%">&nbsp;</td>
      <td bgcolor="C1A99B" width="25%">&nbsp;</td>
      <td bgcolor="888483" width="55%">&nbsp;</td>
   </tr>
   <tr>
      <td colspan="4">
         <hr color="silver" width="100%" noshade size="2" align="center">
         <div class="header">
            Welcome <cfoutput>#session.user.displayName#</cfoutput>,
         </div>
         <p>
            Below you will find operations that you can 
            perform in the intranet.
         </p>
         <cfif IsUserInRole("users")>
         <table border="0" cellpadding="2" cellspacing="0" width="80%">
            <tr>
               <td class="bottomLine">
                  <span class="header">User Options</span>
               </td>
            </tr>
            <tr>
               <td>
                  <ul type="square" style="color:gray">
                     <li>
                        <a href="editUser.cfm">Edit User Settings</a> -
                           change your password, or contact info
                     </li>
                     <li>
                        <a href="addDoc.cfm">Add a Document</a> - 
                           add a document to the intranet
                     </li>
                     <li>
                        <a href="viewDoc.cfm">View Documents</a> - 
                        view documents in the intranet
                     </li>
                     <li>
                        <a href="email.cfm">Check Email</a> - 
                            check your email
                     </li>
                  </ul>
               </td>
            </tr>
         </table>
         </cfif>
         <cfif IsUserInRole("administrators")>
         <table border="0" cellpadding="2" cellspacing="0" width="80%">
            <tr>
               <td class="bottomLine">
                  <span class="header">Administrator Options</span>
               </td>
            </tr>
            <tr>
               <td>
                  <ul type="square" style="color:gray">
                     <li>
                        <a href="editUsers.cfm">Edit User Settings</a> - 
                        change password, or contact info for other users
                     </li>
                     <li>
                        <a href="addUser.cfm">Add a User</a> - 
                        add a new user to the intranet
                     </li>
                     <li>
                        <a href="deleteUser.cfm">Delete User</a> - 
                        view documents in the intranet
                     </li>
                  </ul>
               </td>
            </tr>
         </table>
         </cfif>
         <div align="right"><A href="logout.cfm">Log Out</A></div>
         <hr color="silver" width="100%" noshade size="2" align="center">
      </td>
   </tr>
</table>

</body>
</html>
