<cfcomponent displayname="Authenticator" 
   hint="defines base functionality for authentication">
   <cfset user = CreateObject("component", "User")>
   
   <cffunction name="authenticate" returntype="boolean" output="false" 
      hint="returns true if credentials authenticate">
      <cfargument name="username" type="string" required="true">
      <cfargument name="password" type="string" required="true">
         <!--- you must extend AuthenticationMethod cfc --->
         <cfthrow message="authenticate must be defined in a sub class">
         <cfthrow message="authenticate is an abstract function that must be defined in a sub class">
   </cffunction>
   
   <cffunction name="getUser" returntype="User" output="false" 
      hint="returns the user that was authenticated">
         <cfreturn user>
   </cffunction>
   
</cfcomponent>
