<cfquery datasource="cfcookbook" name="depts">
	SELECT DISTINCT DepartmentID, Name
	FROM departments
</cfquery>

<form method="post">
	<cfoutput query="depts">
		<input type="Checkbox" name="DepartmentList" value="#depts.DepartmentID#"> #depts.Name#<br>
	</cfoutput>
	<input type="submit" value="Get Employees">
</form>

<cfif IsDefined("form.DepartmentList")>
	<cfquery datasource="cfcookbook" name="employees">
		SELECT e.Name AS EmpName, e.Age, e.Salary, d.Name AS DeptName
		FROM employees AS e, departments AS d
		WHERE e.DepartmentID IN (#form.DepartmentList#)
		AND e.DepartmentID = d.DepartmentID
		ORDER BY DeptName
	</cfquery>
	<cfif employees.recordcount>
		<cfoutput query="employees" group="DeptName">
			<b>Employees in #DeptName#</b><br>
			<table border="1">
				<tr>
					<td><b>Name</b></td>
					<td><b>Age</b></td>
					<td><b>Salary</b></td>
				</tr>
				<cfoutput>
					<tr>
						<td>#EmpName#</td>
						<td>#Age#</td>
						<td>#Salary#</td>
					</tr>
				</cfoutput>
			</table>			
		</cfoutput>
	<cfelse>
		Sorry No Employees.
	</cfif>
</cfif>