<cffunction name="Power" returntype="numeric">
   <cfargument name="base" type="numeric" required="true">
   <cfargument name="exponent" type="numeric" required="true">
   <cfif arguments.exponent LT 0>
      <cfthrow type="NegativeExponentException" 
         message="You cannot pass a negative exponent to the power function.">
   <cfelseif arguments.exponent EQ 0>
      <cfreturn 1>
   <cfelse>
      <cfset var result = 1>
      <cfloop from="1" to="#arguments.exponent#" index="i">
         <cfset result = result * arguments.base>
      </cfloop>
      <cfreturn result>
   </cfif>
</cffunction>

2<sup>3</sup> = <cfoutput>#Power(2,3)#</cfoutput>
