<cffunction name="Split" returntype="array">
   <cfargument name="str" type="string" required="true">
   <cfargument name="size" type="numeric" required="false" default="5">
   <cfset pos = 1>
   <cfset strLen = Len(arguments.str)>
   <cfset result = ArrayNew(1)>
   <cfloop condition="pos LTE strLen">
      <cfset subString = Mid(arguments.str, pos, arguments.size)>
      <cfset ArrayAppend(result, subString)>
      <cfset pos = pos + arguments.size>
   </cfloop>   
   <cfreturn result>
</cffunction>

<cfdump var="#Split("1234567890")#" label="Result of split function">
