<cffunction name="SuperSplit" returntype="array">
   <cfargument name="str" type="string" required="true">
   <cfset pos = 1>
   <cfset result = ArrayNew(1)>
   <cfset argLen = ArrayLen(arguments)>
   <cfset strLen = Len(arguments.str)>
   <!--- they didn't pass in any numbers, return entire string --->
   <cfif argLen LT 2>
      <cfset ArrayAppend(result, arguments.str)>
      <cfreturn result>
   </cfif>
   <cfloop from="2" to="#argLen#" index="i">
      <cfset subStringLength = arguments[i]>
      <cfset subString = Mid(arguments.str, pos, subStringLength)>
      <cfset ArrayAppend(result, subString)>
      <cfset pos = pos + subStringLength>
   </cfloop>
   <!--- if there are leftovers add them to the end --->
   <cfif pos LT strLen>
      <cfset ArrayAppend(result, Right(arguments.str, strLen-pos+1))>
   </cfif>
   <cfreturn result>
</cffunction>

<!--- split up a phone number into an array --->
<cfdump var="#SuperSplit("555-555-1324",3,1,3,1,4)#" label="Result of SuperSplit UDF">
