
import com.allaire.cfx.*;

public class CFX_SubString
    implements CustomTag
{
    
    public void processRequest(Request request, Response response) 
        throws Exception 
    {
        String theString;
        int startPos;
        if (!request.attributeExists("STRING")) {
            throw new Exception("Required attribute STRING is missing");
        }
        if (!request.attributeExists("START")) {
            throw new Exception("Required attribute START is missing");
        }
        theString = request.getAttribute("STRING");
        startPos = request.getIntAttribute("START");
        
        //END is an optional attribute
        if (request.attributeExists("END")) {
            theString = theString.substring(startPos, request.getIntAttribute("END"));
        }
        else {
            theString = theString.substring(startPos);
        }
        
        response.write(theString);
    }    
    
    
}