
import com.allaire.cfx.*;

public class CFX_WriteMemoryStatus
    implements CustomTag
{
    
    public void processRequest(Request request, Response response) 
        throws Exception 
    {
        Runtime thisJVM = Runtime.getRuntime();
        long freeMem = thisJVM.freeMemory();
        freeMem /= 1024; //convert from bytes to KB
        String strFreeMem = String.valueOf(freeMem); //convert to a string
        
        //write the value to the response
        response.write(strFreeMem);
        response.write("KB of free memory in the JVM.<br>");
        
        long totalMem = thisJVM.totalMemory();
        totalMem /= 1024; //convert from bytes to KB
        String strTotalMem = String.valueOf(totalMem); //convert to a string
        
        response.write(strTotalMem);
        response.write("KB of memory total in the JVM.<br>");
    }
    
}